List Lambdas

Lists lambdas belonging to the authenticated account.

Authentication

Requires X-Glue-Authentication.

HTTP Request

1GET /api/v0/lambdas HTTP/1.1
2Host: api.hola.cloud
3X-Glue-Authentication: YOUR_TOKEN

Example

1curl -X GET "https://api.hola.cloud/api/v0/lambdas" \
2  -H "X-Glue-Authentication: YOUR_TOKEN"

Response

 1[
 2  {
 3    "id": "f1a2b3c4-d5e6-7890-abcd-ef0123456789",
 4    "created_timestamp": 1751378400,
 5    "owner": "user_123",
 6    "project_id": "project_456",
 7    "name": "hello-world",
 8    "language": "javascript",
 9    "code": "export default (req) => ({ body: { message: \"Hello, World!\" } })",
10    "method": "GET",
11    "path": "/hello-world"
12  },
13  {
14    "id": "a2b3c4d5-e6f7-8901-bcde-f12345678901",
15    "created_timestamp": 1750408200,
16    "owner": "user_123",
17    "project_id": "project_456",
18    "name": "site-style",
19    "language": "static-css",
20    "code": "body { color: #111; }",
21    "method": "GET",
22    "path": "/site.css"
23  }
24]

Error Codes

Code Description
401 Missing or invalid authentication

Comments

Leave a comment